#pragma once

class dot
{
	public:

		dot(void);
		~dot(void);

		dot(float $x, float $y);
		dot(float $x, float $y, int $dir);

		static const int DIR_NONE = -1;
		static const int DIR_LEFT = 0;
		static const int DIR_RIGHT = 1;
		static const int DIR_UP = 2;
		static const int DIR_DOWN = 3;

		static int oppositeDirectionOf(int i);
		
		int direction;
		float speed;

		void update();
		void set(float $x, float $y);
		float getX();
		float getY();

	private:

		float _x;
		float _y;
};
