#pragma once

#include "ofMain.h"
#include "maze.h"
#include "dots.h"

class mazeView2d
{
	public:

		mazeView2d(void);
		~mazeView2d(void);
		
		void setMaze(maze* pMaze);
		void setDots(dots* pDots);

		float getUnitSize();
		void setUnitSize(float f);

		float getWidth();
		float getHeight();

		void draw();

	private:

		void drawMaze();
		void drawDots();

		maze* _m;
		dots* _dots;
		float _unit;
		float _halfUnit;
};
