#ifndef _TEST_APP
#define _TEST_APP

#include <iostream>
#include "ofMain.h"
#include "maze.h"
#include "mazeUtil.h"
#include "pos.h"
#include "mazeView2d.h"
#include "dots.h"


class testApp : public ofBaseApp
{
	public:

		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);

	private:

		maze _maze;
		dots _dots;
		mazeView2d _view2d;
		int _w;
		int _h;
		float _ballSpeed;

		void makeMaze();
};

#endif
