#pragma once

#include <cstdlib>
#include <vector>
#include <algorithm>
#include <string>
#include <sstream>
#include <ctime>

#include "maze.h"
#include "pos.h"
#include "dot.h"
#include "leeUtil.h"

#include "ofMain.h"

using std::vector;

class dots
{
	public:
		
		dots(void);
		~dots(void);

		void setMaze(maze* $m);

		void addDotAt(int $x, int $y);
		void addDotAtOrigin();

		void update();

		dot* getDotAt(int i);
		int getSize();

		void setDefaultSpeed(float f);

	private:

		maze* _m;
		int _counter;
		vector<dot> _dots;

		vector<int> _scratch;
		vector<int> _dieList;

		float _defaultSpeed;

		void testDot(int i, float wasx, float wasy);
		void pickDirection(dot* $d, bool $respectBounds);
};
